<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@20804E=99</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@2080C8=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@208242=80|(maincpu.pb@208242 BAND ~80)</action>
      <action>maincpu.pb@20823F=7E</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="If you are not in a Plane don't set Shot Power higher"/>
  <cheat desc="than 0 or it will cause the the game to RESET!!!"/>
  <cheat desc=" "/>

  <cheat desc="Select Shot Power PL1">
    <parameter min="0" max="15" step="1"/>
    <script state="run">
      <action>maincpu.pb@208247=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Speed PL1">
    <parameter min="0" max="5" step="1"/>
    <script state="run">
      <action>maincpu.pb@20823B=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@208037=00|(maincpu.pb@208037 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire - Normal PL1">
    <script state="run">
      <action>maincpu.pb@208255=01</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire - Special PL1">
    <script state="run">
      <action>maincpu.pd@208253=00000100|(maincpu.pd@208253 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@2080E2=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@208302=80|(maincpu.pb@208302 BAND ~80)</action>
      <action>maincpu.pb@2082FF=7E</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="If you are not in a Plane don't set Shot Power higher"/>
  <cheat desc="than 0 or it will cause the the game to RESET!!!"/>
  <cheat desc=" "/>

  <cheat desc="Select Shot Power PL2">
    <parameter min="0" max="15" step="1"/>
    <script state="run">
      <action>maincpu.pb@208307=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Speed PL2">
    <parameter min="0" max="5" step="1"/>
    <script state="run">
      <action>maincpu.pb@2082FB=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@208039=00|(maincpu.pb@208039 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire - Normal PL2">
    <script state="run">
      <action>maincpu.pb@208315=02</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire - Special PL2">
    <script state="run">
      <action>maincpu.pd@208313=00000100|(maincpu.pd@208313 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
